org.bouncycastle.asn1.x9

## Class X9FieldElement

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.x9.X9FieldElement

All Implemented Interfaces:
  DEREncodable

    public class X9FieldElement
    extends ASN1Encodable

class for processing an FieldElement as a DER object.

### Field Summary

Fields
`protected org.bouncycastle.math.ec.ECFieldElement` `f`

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`X9FieldElement(java.math.BigInteger p, ASN1OctetString s)`
`X9FieldElement(org.bouncycastle.math.ec.ECFieldElement f)`
`X9FieldElement(int m, int k1, int k2, int k3, ASN1OctetString s)`

### Method Summary

Methods
`org.bouncycastle.math.ec.ECFieldElement` `getValue()`
`DERObject` `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### f

    protected org.bouncycastle.math.ec.ECFieldElement f

### Constructor Detail

#### X9FieldElement

    public X9FieldElement(org.bouncycastle.math.ec.ECFieldElement f)

#### X9FieldElement

    public X9FieldElement(java.math.BigInteger p,
                  ASN1OctetString s)

#### X9FieldElement

    public X9FieldElement(int m,
                  int k1,
                  int k2,
                  int k3,
                  ASN1OctetString s)

### Method Detail

#### getValue

    public org.bouncycastle.math.ec.ECFieldElement getValue()

#### toASN1Object

    public DERObject toASN1Object()

Produce an object suitable for an ASN1OutputStream.

      FieldElement ::= OCTET STRING

1. if q is an odd prime then the field element is processed as an Integer and converted to an octet string according to x 9.62 4.3.1.
2. if q is 2m then the bit string contained in the field element is converted into an octet string with the same ordering padded at the front if necessary.

Specified by:
  `toASN1Object` in class `ASN1Encodable`